/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import distributions.SingleDistribution;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 *
 * @author  
 */
public class DistributionPriorDistributionManager extends PriorDistributionManager{

//    protected final HashMap<String,Interval> initialsecretintervals = new HashMap();
//    protected BigInteger secretsize = new BigInteger("-1");
    private final SingleDistribution distribution;
    private final String varname;
    
    public DistributionPriorDistributionManager(String varName, SingleDistribution dist){
        super();
        distribution = dist;
        varname = varName;
    }
    
    @Override
    protected void analyze() {
       // initializes initialsecretintervals and secretsize
        int secCount = 0;
        Interval interv= new Interval("[0,0]");
        for (String label: distribution.getLabels()){
            if (distribution.getProbability(label).compareTo(BigDecimal.ZERO)>0){
                secCount++;
                if (secCount==1){
                    interv = new Interval("["+label+','+label+']');
                }else{
                    Interval newinterv = new Interval("["+label+','+label+']');
                    interv = interv.concatenate(newinterv);
                }
                
            }
        }
        initialsecretintervals.put(varname, interv);
        secretsize = BigInteger.valueOf(secCount);
    }
    
    @Override
    public BigDecimal computePriorShannonEntropy() {
       
        return distribution.getEntropy();
        
    }
    
}
