/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import java.io.File;
import java.math.BigDecimal;
import support.Logger;

/**
 *
 * @author  
 */
public class JavaSimulationSignature extends SimulationSignature{
    private final File file;
    //private int id;

    JavaSimulationSignature(String filename, MarkovChainState currstate, VariableList obsvar, VariableList privvar, boolean abstr) {
        super(currstate,obsvar, privvar,abstr);
        file = new File(filename);
        if (!file.exists()){
            log("ERROR: file "+filename+" does not exist. Terminating",1);
            System.exit(1);
        }
        if (!file.canRead()){
            log("ERROR: impossible to read from file "+filename+". Terminating",1);
            System.exit(1);
        }
    }

    public File getFile() {
        return file;
    }
    
    private static void log(Object aObject, int level){
        Logger loggy = Logger.getInstance();
        loggy.log(String.valueOf(aObject),level);
    }

}
