/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.Iterator;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author  
 */
class MatrixReaderIterator implements Iterator<MatrixSignature> {
    private File file;
    private Scanner scanner;

    public MatrixReaderIterator(MasterMatrixReader reader) {
        file = reader.getFile();
        try {
            scanner = new Scanner(new FileReader(file));
            scanner.nextLine();
        } catch (FileNotFoundException ex) {
            Logger.getLogger(MatrixReaderIterator.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    @Override
    public boolean hasNext() {
        return scanner.hasNextLine();
    }

    @Override
    public MatrixSignature next() {
        String line = scanner.nextLine();
        line = line.trim();
        String[] split = line.split(" ");
        return new MatrixSignature(split[0],split[split.length-1]);
    }
    
}
