/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import bham.leakiest.Channel;
import bham.leakiest.ProbDist;
import distributions.SingleDistribution;
import java.math.BigDecimal;
import support.ConvertLeakiEstObjects;


/**
 *
 * @author  
 */
public class MatrixSignature extends Signature{

    private final BigDecimal weight;
    private final Channel channel;
    private BigDecimal probability;
    
    public MatrixSignature(String weightStr, String channelFile) {
        weight  = new BigDecimal(weightStr);
        channel = ConvertLeakiEstObjects.computeChannelFromChannelFile(channelFile);
        probability = BigDecimal.ZERO;
        double[][] matrix = channel.getMatrix();
        for (double[] matrix1 : matrix) {
            for (int col = 0; col < matrix[0].length; col++) {
                probability = probability.add(new BigDecimal(matrix1[col]));
            }
        }
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public Channel getChannel() {
        return channel;
    }

    public BigDecimal getProbability() {
        return probability;
    }

    @Override
    SingleDistribution getSubPrior() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
}
