/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import support.Logger;


/**
 *
 * @author  
 */
public class testMultiIntervals {

    public static void main(String args[]) {
        Logger.getInstance().setVerbosity(3);
        System.out.println("test for SimpleMultiIntervalProbabilityDistribution:");
        testMultiIntervals();
    }

    private static void testMultiIntervals() {
        HashMap<String,Interval> m1 = new HashMap<>();
        m1.put("a", new Interval(BigInteger.ZERO,BigInteger.ONE));
        m1.put("b", new Interval(BigInteger.ZERO,BigInteger.ONE));
        m1.put("c", new Interval(BigInteger.ZERO,BigInteger.ONE));
        m1.put("d", new Interval(BigInteger.ZERO,BigInteger.ONE));
        IntervalAssignments i1 = new IntervalAssignments(m1);
        ArrayList<IntervalAssignments> unrolled = i1.unroll();
        for (IntervalAssignments ia : unrolled){
            Logger.getInstance().log(ia.printNice(),1);
        }
        SimpleMultiIntervalProbabilityDistribution dist = new SimpleMultiIntervalProbabilityDistribution();
        dist.put(i1, BigDecimal.ONE);

        HashMap<String,Interval> m2 = new HashMap<>();
        m2.put("a", new Interval(BigInteger.ZERO));
        m2.put("b", new Interval(BigInteger.ZERO));
        m2.put("c", new Interval(BigInteger.ZERO));
        m2.put("d", new Interval(BigInteger.ZERO));
        IntervalAssignments i2 = new IntervalAssignments(m2);
        dist.update(i2, BigDecimal.ONE);
        
        
    }
}
