/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package support;

import java.util.concurrent.atomic.AtomicInteger;

/**
 *
 * @author  
 */
public class IdGenerator {
    private static IdGenerator instance;
    private static AtomicInteger count;
    
    private IdGenerator(){
        count = new AtomicInteger();
        count.set(0); //can be put to minInt to get more IDs
    }
    
    public static IdGenerator getInstance(){
        if (instance == null){
            instance = new IdGenerator();
        }
        return instance;
    }
    
    public int getId(){
        return count.incrementAndGet();
    }
}
