/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package test;

import java.math.BigInteger;
import java.util.HashSet;
import hyleak.Interval;
import hyleak.PrivateVariable;
import theory.BigIntegerCartesianIterator;
import theory.CartesianIterator;

/**
 *
 * @author  
 */
public class testCartesianIterator {

    public static void main(String args[]) {
        System.out.println("test for SingleDistribution:");
        testCartesianIterator();
    }

    private static void testCartesianIterator() {

        HashSet s1 = new HashSet();
        s1.add(new BigInteger("1"));
        s1.add(new BigInteger("2"));
        HashSet s2 = new HashSet();
        s2.add(new BigInteger("3"));
        s2.add(new BigInteger("4"));
        s2.add(new BigInteger("5"));
        HashSet s3 = new HashSet();
        s3.add(new BigInteger("6"));
        s3.add(new BigInteger("7"));;

        Iterable[] sets = new Iterable[3];
        sets[0] = s1;
        sets[1] = s2;
        sets[2] = s3;

        int count = 0;
        for (BigIntegerCartesianIterator cartiter = new BigIntegerCartesianIterator(sets); cartiter.hasNext();) {
            BigInteger[] values = cartiter.next();
            // giving a single value to each private variable
            for (int i = 0; i < values.length; i++) {

                String valueStr = values[i].toString();
                System.out.println(sets[i] + ":=\t" + valueStr);
            }
            System.out.println("count is "+count++);
            if (count>20) break;
        }

        Interval interv1 = new Interval("[0,3]");
        
        Interval interv2 = new Interval("[0,4]");
        
        Interval interv3 = new Interval("[0,5]");
        
        Iterable[] vars = new Iterable[3];
        vars[0] = interv1;
        vars[1] = interv2;
        vars[2] = interv3;

        for (BigIntegerCartesianIterator cartiter = new BigIntegerCartesianIterator(vars); cartiter.hasNext();) {
            // creating initial state

            //System.out.println("Creating secret value:");
            // giving a single value to each private variable
            for (int i = 0; i < vars.length; i++) {

                BigInteger value = (BigInteger) cartiter.next()[i];
                String valueStr = value.toString();
                //System.out.println(vars[i]+":="+valueStr);

            }

        }

    }
}
