/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import java.math.BigInteger;
import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 *
 * @author  
 */
class IntervalIterator implements Iterator<BigInteger>{
    private final Interval interval;
    BigInteger current;
    boolean hasnext;
    
    public IntervalIterator(Interval interv){
        interval = interv;
        if (interval.isEmpty()){
            hasnext = false;
        }else{
            hasnext = true;
        }
        current = interval.getBottom();
    }

    @Override
    public boolean hasNext() {
        return hasnext;
    }

    @Override
    public BigInteger next() {
        if (!hasnext){
            throw new NoSuchElementException();
        }
        BigInteger toreturn = new BigInteger(current.toString());
        if (current.compareTo(interval.getTop())==0){
            hasnext = false;
        }else{
            current = interval.getFirstValueAfter(current);
        }
        return toreturn;
    }

    @Override
    public void remove() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
}
