/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import distributions.MapDistribution;

/**
 *
 * @author  
 */
class MarkovStatePrivateDistributionVariable extends MarkovStateDistributionVariable{
    private boolean secret;

    public MarkovStatePrivateDistributionVariable(String name, Interval interval, int length) {
        super(name, true, length, interval);
    }
    
    public MarkovStatePrivateDistributionVariable(String name, int length,MapDistribution distrib) {
        super(name, true, length, distrib.toString());
    }
  
    public MarkovStatePrivateDistributionVariable(MarkovStatePrivateDistributionVariable var) {
        super(var);
        this.secret = var.isSecret();
        
    }

    public boolean isSecret() {
        return secret;
    }

    public void setSecret(boolean secret) {
        this.secret = secret;
    }
    
    @Override
    public MarkovStatePrivateDistributionVariable clone() throws CloneNotSupportedException{
        System.out.println("cloning MarkovStatePrivateDistributionVariable");
        MarkovStatePrivateDistributionVariable toreturn = (MarkovStatePrivateDistributionVariable)super.clone();
        toreturn.setSecret(secret);
        return toreturn;
    }
    
}
