/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package hyleak;

import java.math.BigInteger;

import distributions.MapDistribution;

/**
 *
 * @author  
 */
class MarkovStatePublicDistributionVariable extends MarkovStateDistributionVariable{
    private boolean observable = false;
    //private CompressedDistribution distribution;

    public MarkovStatePublicDistributionVariable(String name, BigInteger value, int length) {
        super(name, false, length, value);
    }
    
    public MarkovStatePublicDistributionVariable(String name, int length,MapDistribution distrib) {
        super(name, false, length, distrib.toString());
    }
    
    public MarkovStatePublicDistributionVariable(MarkovStatePublicDistributionVariable var) {
        super(var);
        this.observable = var.isObservable();
        
    }
    
    public boolean isObservable() {
        return observable;
    }

    public void setObservable(boolean observable) {
        this.observable = observable;
    }
    
    
    @Override
    public MarkovStatePublicDistributionVariable clone() throws CloneNotSupportedException{
        System.out.println("cloning MarkovStatePublicDistributionVariable");
        MarkovStatePublicDistributionVariable toreturn = (MarkovStatePublicDistributionVariable)super.clone();
        toreturn.setObservable(observable);
        return toreturn;
    }
    
    
}
