/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package test;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

import distributions.SingleDistribution;
import hyleak.*;

/**
*
* @author  
* @author  
*/
public class testEstimate {
	
	public static void main(String args[]) {
		System.out.println("test for SingleDistribution:");
		testSingleDist();
	}

	
	private static void testSingleDist() {
		// New single distribution
		String[] labels = { "h=0", "h=1", "h=2", "h=3" };
		Map<String,BigDecimal> probMap = new LinkedHashMap<String,BigDecimal>();
		probMap.put("h=0", BigDecimal.ZERO);
		probMap.put("h=1", BigDecimal.ONE);
		probMap.put("h=2", BigDecimal.ONE.add(BigDecimal.ONE));
		probMap.put("h=3", BigDecimal.ONE.add(BigDecimal.ONE.add(BigDecimal.ONE)));
		SingleDistribution singleDist = new SingleDistribution(labels, probMap);
		BigDecimal prob1 = singleDist.getProbability("h=2");
		System.out.println(" prob1  = " + prob1);
		
		// copy constructor
		SingleDistribution singleDistDeepCopy = new SingleDistribution(singleDist);
		BigDecimal prob1c = singleDistDeepCopy.getProbability("h=2");
		System.out.println(" prob1c = " + prob1c);
		singleDistDeepCopy.getProbMap().put("h=2", BigDecimal.ONE);
		prob1c = singleDistDeepCopy.getProbability("h=2");
		System.out.println(" prob1  = " + prob1);
		System.out.println(" prob1c = " + prob1c);
		
		
	}

	
	

}
